aboutsummaryrefslogtreecommitdiffstats
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorBrandon Williams <bmwill@google.com>2017-03-16 15:29:46 -0700
committerJunio C Hamano <gitster@pobox.com>2017-03-17 11:06:09 -0700
commit25b31f1b73331d3d9e90a72c34e514795e98c174 (patch)
tree0258d062caf722b75ebeab299fd12a7184dbc4df /git-submodule.sh
parente7849a9677e9db6af81f568ae40ad2eddf5d3f0d (diff)
downloadgit-25b31f1b73331d3d9e90a72c34e514795e98c174.tar.gz
submodule sync: use submodule--helper is-active
Signed-off-by: Brandon Williams <bmwill@google.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index 577136148f..db94dea3b0 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -1089,14 +1089,14 @@ cmd_sync()
while read mode sha1 stage sm_path
do
die_if_unmatched "$mode" "$sha1"
- name=$(git submodule--helper name "$sm_path")
# skip inactive submodules
- if ! git config "submodule.$name.url" >/dev/null 2>/dev/null
+ if ! git submodule--helper is-active "$sm_path"
then
continue
fi
+ name=$(git submodule--helper name "$sm_path")
url=$(git config -f .gitmodules --get submodule."$name".url)
# Possibly a url relative to parent